/* execution date: November 18, 2020 */

/* folder for packages */
/* Windows, e.g. */
filename packages "C:\Users\&sysuserid.\Desktop\myPckg";
/* Linux/UNIX, e.g. */
/*
filename packages "~/myPckg";
*/




/* run SPF from the Internet */                           
filename SPFinit url 
  "https://raw.githubusercontent.com/yabwon/SAS_PACKAGES/main/SPF/SPFinit.sas"
  ; 
%include SPFinit;                                                                                                               


/* list SPF macros */
title "List of SAS Packages Framework components";
proc catalog CATALOG=work.sasmacr ENTRYTYPE=macro; /* on EG server it is: work.sasmac1 */
   contents;
run;



/* install a package */
%installPackage(SQLinDS)
%installPackage(macroArray)                                                                                                     
%installPackage(BasePlus)



/* list available packages */
%listPackages()                                                                                                                 



/* get some info about the package */                                                                                                                             
%helpPackage(BasePlus);    
                                                                                           
%helpPackage(SQLinDS);     
%helpPackage(SQLinDS,*);     
%helpPackage(SQLinDS,'%SQL()');     

%helpPackage(macroArray, License);


/* load the package into the SAS session */
%loadPackage(SQLinDS)

title;
proc catalog CATALOG=work.sasmacr ENTRYTYPE=macro; /* EG: work.sasmac1 */
   contents;
run;

%loadPackage(macroArray)                                                                                                         
%loadPackage(BasePlus) 




/* install the framework (to have it permanet) */
%installPackage(SPFinit)
/* run SPF after installation */
%include packages(SPFinit.sas);   
                            



/* install multiple packages at once */
%installPackage(SQLinDS macroArray BasePlus)


/* load multiple packages into the SAS session */
%loadPackageS(SQLinDS, macroArray (0.5), BasePlus)





/* verify package's integrity (hash is from 2020-11-15) */
%verifyPackage(SQLinDS,
hash=CE1A266B9030E5E336B45F53DF483F6913FD8AE88A2884CEE88BEEF621FDBD78
)


/* preview package's code */
%previewPackage(SQLinDS, '%SQL()')

